Developer
API REFERENCE

Bundles & posts API

10 REST endpoints for bundles & posts, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/bundles.

GET/api/bundles

Get bundles

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/bundles

Create or update bundles

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 9
NameInDescription
domainIdbodyJSON request field
headingbodyJSON request field
itemsbodyJSON request field
descriptionbodyJSON request field
logobodyJSON request field
backgroundbodyJSON request field
themebodyJSON request field
socialsbodyJSON request field
pathbodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
DELETE/api/bundles/{id}

Delete bundles by ID

Open interactive reference →

Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.

Parameters 1
NameInDescription
idpathRequired path parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/bundles/{id}

Get bundles by ID

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Parameters 1
NameInDescription
idpathRequired path parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/bundles/{id}

Create or update bundles by ID

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 5
NameInDescription
idpathRequired path parameter
themebodyJSON request field
socialsbodyJSON request field
itemsbodyJSON request field
headingbodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/posts

Get posts

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/posts

Create or update posts

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 11
NameInDescription
domainIdbodyJSON request field
titlebodyJSON request field
slugbodyJSON request field
coverbodyJSON request field
bodybodyJSON request field
tagsbodyJSON request field
seoTitlebodyJSON request field
seoDescriptionbodyJSON request field
noindexbodyJSON request field
statusbodyJSON request field
publishAtbodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
DELETE/api/posts/{id}

Delete posts by ID

Open interactive reference →

Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.

Parameters 1
NameInDescription
idpathRequired path parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/posts/{id}

Get posts by ID

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Parameters 1
NameInDescription
idpathRequired path parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/posts/{id}

Create or update posts by ID

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 7
NameInDescription
idpathRequired path parameter
slugbodyJSON request field
tagsbodyJSON request field
seoTitlebodyJSON request field
seoDescriptionbodyJSON request field
noindexbodyJSON request field
publishAtbodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited